[Deprecated] Easy export of tasks and annotations
Authentication
Path parameters
Query parameters
Selected export format (JSON by default)
[Deprecated] Easy export of tasks and annotations
Selected export format (JSON by default)
This endpoint is deprecated in Enterprise. Use the async export API instead: POST /api/projects/{id}/exports/ (see Create new export).
In Label Studio Enterprise, this endpoint will always return a 404 Not Found response with instructions to use the async export API.
Note: if you have a large project it’s recommended to use
export snapshots, this easy export endpoint might have timeouts.
Export annotated tasks as a file in a specific format.
For example, to export JSON annotations for a project to a file called annotations.json,
run the following from the command line:
To export all tasks, including skipped tasks and others without annotations, run the following from the command line:
To export specific tasks with IDs of 123 and 345, run the following from the command line:
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”